import request from "@/utils/httpRequest";
import { PUBLIC_MODULES_PATH as prefix } from "../AppPath";

export default class ReimbursementApprovalTypeService {
	list(param) {
		return request({
			url: prefix + "/reimbursementApproval/type/list",
			method: "get",
			params: param,
		});
	}
	bxList(param) {
		return request({
			url: prefix + "/reimbursementApproval/type/bxList",
			method: "get",
			params: param,
		});
	}
	bxListByClCz(param) {
		return request({
			url: prefix + "/reimbursementApproval/type/bxListByClCz",
			method: "get",
			params: param,
		});
	}
	cgList(param) {
		return request({
			url: prefix + "/reimbursementApproval/type/cgList",
			method: "get",
			params: param,
		});
	}
	save(param) {
		return request({
			url: prefix + "/reimbursementApproval/type/save",
			method: "post",
			data: param,
		});
	}
	findById(id) {
		return request({
			url: prefix + "/reimbursementApproval/type/findById",
			method: "get",
			params: { id: id },
		});
	}
	remove(id) {
		return request({
			url: prefix + "/reimbursementApproval/type/deleteById",
			method: "get",
			params: { id: id },
		});
	}
}
